Bug 1696363 - Different syntax by Service Request in Master region
Summary: Different syntax by Service Request in Master region
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.9.9
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: GA
: 5.9.9
Assignee: Tina Fitzgerald
QA Contact: Niyaz Akhtar Ansari
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1694716
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-04 15:46 UTC by Satoe Imaishi
Modified: 2019-05-29 12:41 UTC (History)
13 users (show)

Fixed In Version: 5.9.9.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1694716
Environment:
Last Closed: 2019-05-29 12:41:11 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1289 None None None 2019-05-29 12:41:20 UTC

Comment 2 CFME Bot 2019-04-04 16:04:11 UTC
New commit detected on ManageIQ/manageiq-api/gaprindashvili:

https://github.com/ManageIQ/manageiq-api/commit/80b2286412da7b09be7fdc7d0b216b34d82b3601
commit 80b2286412da7b09be7fdc7d0b216b34d82b3601
Author:     Alberto Bellotti <abellotti@users.noreply.github.com>
AuthorDate: Thu Apr  4 09:39:53 2019 -0400
Commit:     Alberto Bellotti <abellotti@users.noreply.github.com>
CommitDate: Thu Apr  4 09:39:53 2019 -0400

    Merge pull request #572 from gtanzillo/dialog-indifferent-access

    Added logic to support both string and symbol access to keys in dialog hash under options

    (cherry picked from commit 023da5f3789cd6a30eea4d8cb409795d53c9da23)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1696363

 lib/services/api/request_parser.rb | 6 +-
 spec/lib/services/api/request_parser_spec.rb | 8 +
 2 files changed, 13 insertions(+), 1 deletion(-)

Comment 4 Niyaz Akhtar Ansari 2019-05-21 09:51:59 UTC
Verified in 5.9.9.3.20190503150855_af8378f

Comment 6 errata-xmlrpc 2019-05-29 12:41:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1289


Note You need to log in before you can comment on or make changes to this bug.